1. Packages
  2. Packages
  3. Volcenginecc Provider
  4. API Docs
  5. rdspostgresql
  6. AllowList
Viewing docs for volcenginecc v0.0.32
published on Thursday, Apr 23, 2026 by Volcengine
volcenginecc logo
Viewing docs for volcenginecc v0.0.32
published on Thursday, Apr 23, 2026 by Volcengine

    An allowlist is a security measure for database connections. Only IP addresses in the allowlist can access the database. After a PostgreSQL instance is created, it is not bound to any allowlist, and all IP addresses are denied access by default. To connect to the instance via private or public network, you must first configure an allowlist for the instance to ensure connectivity.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as volcenginecc from "@volcengine/pulumi-volcenginecc";
    
    const rdsPostgresqlAllowListDemo = new volcenginecc.rdspostgresql.AllowList("RdsPostgresqlAllowListDemo", {
        allowLists: [
            "1.2.3.4/32",
            "5.6.7.8/32",
        ],
        allowListCategory: "Ordinary",
        allowListDesc: "test",
        allowListName: "ccapi-test-1",
        allowListType: "IPv4",
    });
    
    import pulumi
    import pulumi_volcenginecc as volcenginecc
    
    rds_postgresql_allow_list_demo = volcenginecc.rdspostgresql.AllowList("RdsPostgresqlAllowListDemo",
        allow_lists=[
            "1.2.3.4/32",
            "5.6.7.8/32",
        ],
        allow_list_category="Ordinary",
        allow_list_desc="test",
        allow_list_name="ccapi-test-1",
        allow_list_type="IPv4")
    
    package main
    
    import (
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    	"github.com/volcengine/pulumi-volcenginecc/sdk/go/volcenginecc/rdspostgresql"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := rdspostgresql.NewAllowList(ctx, "RdsPostgresqlAllowListDemo", &rdspostgresql.AllowListArgs{
    			AllowLists: pulumi.StringArray{
    				pulumi.String("1.2.3.4/32"),
    				pulumi.String("5.6.7.8/32"),
    			},
    			AllowListCategory: pulumi.String("Ordinary"),
    			AllowListDesc:     pulumi.String("test"),
    			AllowListName:     pulumi.String("ccapi-test-1"),
    			AllowListType:     pulumi.String("IPv4"),
    		})
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Volcenginecc = Volcengine.Pulumi.Volcenginecc;
    
    return await Deployment.RunAsync(() => 
    {
        var rdsPostgresqlAllowListDemo = new Volcenginecc.Rdspostgresql.AllowList("RdsPostgresqlAllowListDemo", new()
        {
            AllowListValue = new[]
            {
                "1.2.3.4/32",
                "5.6.7.8/32",
            },
            AllowListCategory = "Ordinary",
            AllowListDesc = "test",
            AllowListName = "ccapi-test-1",
            AllowListType = "IPv4",
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.volcengine.volcenginecc.rdspostgresql.AllowList;
    import com.volcengine.volcenginecc.rdspostgresql.AllowListArgs;
    import java.util.List;
    import java.util.ArrayList;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            var rdsPostgresqlAllowListDemo = new AllowList("rdsPostgresqlAllowListDemo", AllowListArgs.builder()
                .allowLists(            
                    "1.2.3.4/32",
                    "5.6.7.8/32")
                .allowListCategory("Ordinary")
                .allowListDesc("test")
                .allowListName("ccapi-test-1")
                .allowListType("IPv4")
                .build());
    
        }
    }
    
    resources:
      rdsPostgresqlAllowListDemo:
        type: volcenginecc:rdspostgresql:AllowList
        name: RdsPostgresqlAllowListDemo
        properties:
          allowLists:
            - 1.2.3.4/32
            - 5.6.7.8/32
          allowListCategory: Ordinary
          allowListDesc: test
          allowListName: ccapi-test-1
          allowListType: IPv4
    

    Create AllowList Resource

    Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.

    Constructor syntax

    new AllowList(name: string, args?: AllowListArgs, opts?: CustomResourceOptions);
    @overload
    def AllowList(resource_name: str,
                  args: Optional[AllowListArgs] = None,
                  opts: Optional[ResourceOptions] = None)
    
    @overload
    def AllowList(resource_name: str,
                  opts: Optional[ResourceOptions] = None,
                  allow_list_category: Optional[str] = None,
                  allow_list_desc: Optional[str] = None,
                  allow_list_name: Optional[str] = None,
                  allow_list_type: Optional[str] = None,
                  allow_lists: Optional[Sequence[str]] = None,
                  associated_instance_num: Optional[int] = None,
                  ip_address: Optional[str] = None,
                  modify_mode: Optional[str] = None,
                  security_group_bind_infos: Optional[Sequence[AllowListSecurityGroupBindInfoArgs]] = None,
                  update_security_group: Optional[bool] = None,
                  user_allow_list: Optional[str] = None)
    func NewAllowList(ctx *Context, name string, args *AllowListArgs, opts ...ResourceOption) (*AllowList, error)
    public AllowList(string name, AllowListArgs? args = null, CustomResourceOptions? opts = null)
    public AllowList(String name, AllowListArgs args)
    public AllowList(String name, AllowListArgs args, CustomResourceOptions options)
    
    type: volcenginecc:rdspostgresql:AllowList
    properties: # The arguments to resource properties.
    options: # Bag of options to control resource's behavior.
    
    

    Parameters

    name string
    The unique name of the resource.
    args AllowListArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    resource_name str
    The unique name of the resource.
    args AllowListArgs
    The arguments to resource properties.
    opts ResourceOptions
    Bag of options to control resource's behavior.
    ctx Context
    Context object for the current deployment.
    name string
    The unique name of the resource.
    args AllowListArgs
    The arguments to resource properties.
    opts ResourceOption
    Bag of options to control resource's behavior.
    name string
    The unique name of the resource.
    args AllowListArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    name String
    The unique name of the resource.
    args AllowListArgs
    The arguments to resource properties.
    options CustomResourceOptions
    Bag of options to control resource's behavior.

    AllowList Resource Properties

    To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.

    Inputs

    In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.

    The AllowList resource accepts the following input properties:

    AllowListCategory string
    Allowlist category. Values: Ordinary: ordinary allowlist; Default: default allowlist. Note: This parameter has no default value when used as a request parameter. If not provided, all categories of allowlists are queried.
    AllowListDesc string
    Description of the allowlist. Up to 200 characters. Default value is an empty string.
    AllowListName string
    Allowlist naming rules: The allowlist name must be unique within the current region. It must start with a Chinese character, letter, or underscore (). It can only contain Chinese characters, letters, numbers, underscores (), and hyphens (-). Length must be 1–128 characters.
    AllowListType string
    Network protocol type used by the allowlist. Value: IPv4 (default).
    AllowListValue List<string>
    IP addresses included in the allowlist. Supports the following two formats: IP address format, for example: 10.23.12.24. CIDR IP address range format, for example: 10.23.12.0/24 (Classless Inter-Domain Routing, 24 indicates the prefix length, range is 1–32). Note: Each allowlist can add up to 300 IP addresses or IP ranges. If there are many IPs, it is recommended to merge them into IP ranges, such as 10.23.12.0/24. Do not add IP addresses ending with x.x.x.x/0 except for 0.0.0.0/0 to the allowlist. This field cannot be used together with the UserAllowList field.
    AssociatedInstanceNum int
    Number of instances bound to this allowlist.
    IpAddress string
    Query allowlist by IP address. Supports multiple IP addresses separated by commas (,). Note: If the allowlist contains any subset of the provided IP addresses, that allowlist will be returned.
    ModifyMode string
    Allowlist modification mode. Values: Cover (default): overwrite, use the value of the AllowList field to overwrite the original allowlist. Append: add, add the IP addresses in the AllowList field to the original allowlist. Delete: remove, remove the IP addresses in the AllowList field from the original allowlist. At least one IP address must remain. Note: If the allowlist to be modified is bound to a security group, or if you need to bind a security group when modifying the allowlist, ModifyMode can only be set to Cover.
    SecurityGroupBindInfos List<Volcengine.AllowListSecurityGroupBindInfo>
    UpdateSecurityGroup bool
    Whether to update the security group bound to the allowlist. Values: true: update; false: do not update. Default value.
    UserAllowList string
    IP addresses outside the security group that need to be added to the allowlist. You can enter IP addresses or CIDR IP ranges. Note: This field cannot be used together with the AllowList field.
    AllowListCategory string
    Allowlist category. Values: Ordinary: ordinary allowlist; Default: default allowlist. Note: This parameter has no default value when used as a request parameter. If not provided, all categories of allowlists are queried.
    AllowListDesc string
    Description of the allowlist. Up to 200 characters. Default value is an empty string.
    AllowListName string
    Allowlist naming rules: The allowlist name must be unique within the current region. It must start with a Chinese character, letter, or underscore (). It can only contain Chinese characters, letters, numbers, underscores (), and hyphens (-). Length must be 1–128 characters.
    AllowListType string
    Network protocol type used by the allowlist. Value: IPv4 (default).
    AllowLists []string
    IP addresses included in the allowlist. Supports the following two formats: IP address format, for example: 10.23.12.24. CIDR IP address range format, for example: 10.23.12.0/24 (Classless Inter-Domain Routing, 24 indicates the prefix length, range is 1–32). Note: Each allowlist can add up to 300 IP addresses or IP ranges. If there are many IPs, it is recommended to merge them into IP ranges, such as 10.23.12.0/24. Do not add IP addresses ending with x.x.x.x/0 except for 0.0.0.0/0 to the allowlist. This field cannot be used together with the UserAllowList field.
    AssociatedInstanceNum int
    Number of instances bound to this allowlist.
    IpAddress string
    Query allowlist by IP address. Supports multiple IP addresses separated by commas (,). Note: If the allowlist contains any subset of the provided IP addresses, that allowlist will be returned.
    ModifyMode string
    Allowlist modification mode. Values: Cover (default): overwrite, use the value of the AllowList field to overwrite the original allowlist. Append: add, add the IP addresses in the AllowList field to the original allowlist. Delete: remove, remove the IP addresses in the AllowList field from the original allowlist. At least one IP address must remain. Note: If the allowlist to be modified is bound to a security group, or if you need to bind a security group when modifying the allowlist, ModifyMode can only be set to Cover.
    SecurityGroupBindInfos []AllowListSecurityGroupBindInfoArgs
    UpdateSecurityGroup bool
    Whether to update the security group bound to the allowlist. Values: true: update; false: do not update. Default value.
    UserAllowList string
    IP addresses outside the security group that need to be added to the allowlist. You can enter IP addresses or CIDR IP ranges. Note: This field cannot be used together with the AllowList field.
    allowListCategory String
    Allowlist category. Values: Ordinary: ordinary allowlist; Default: default allowlist. Note: This parameter has no default value when used as a request parameter. If not provided, all categories of allowlists are queried.
    allowListDesc String
    Description of the allowlist. Up to 200 characters. Default value is an empty string.
    allowListName String
    Allowlist naming rules: The allowlist name must be unique within the current region. It must start with a Chinese character, letter, or underscore (). It can only contain Chinese characters, letters, numbers, underscores (), and hyphens (-). Length must be 1–128 characters.
    allowListType String
    Network protocol type used by the allowlist. Value: IPv4 (default).
    allowLists List<String>
    IP addresses included in the allowlist. Supports the following two formats: IP address format, for example: 10.23.12.24. CIDR IP address range format, for example: 10.23.12.0/24 (Classless Inter-Domain Routing, 24 indicates the prefix length, range is 1–32). Note: Each allowlist can add up to 300 IP addresses or IP ranges. If there are many IPs, it is recommended to merge them into IP ranges, such as 10.23.12.0/24. Do not add IP addresses ending with x.x.x.x/0 except for 0.0.0.0/0 to the allowlist. This field cannot be used together with the UserAllowList field.
    associatedInstanceNum Integer
    Number of instances bound to this allowlist.
    ipAddress String
    Query allowlist by IP address. Supports multiple IP addresses separated by commas (,). Note: If the allowlist contains any subset of the provided IP addresses, that allowlist will be returned.
    modifyMode String
    Allowlist modification mode. Values: Cover (default): overwrite, use the value of the AllowList field to overwrite the original allowlist. Append: add, add the IP addresses in the AllowList field to the original allowlist. Delete: remove, remove the IP addresses in the AllowList field from the original allowlist. At least one IP address must remain. Note: If the allowlist to be modified is bound to a security group, or if you need to bind a security group when modifying the allowlist, ModifyMode can only be set to Cover.
    securityGroupBindInfos List<AllowListSecurityGroupBindInfo>
    updateSecurityGroup Boolean
    Whether to update the security group bound to the allowlist. Values: true: update; false: do not update. Default value.
    userAllowList String
    IP addresses outside the security group that need to be added to the allowlist. You can enter IP addresses or CIDR IP ranges. Note: This field cannot be used together with the AllowList field.
    allowListCategory string
    Allowlist category. Values: Ordinary: ordinary allowlist; Default: default allowlist. Note: This parameter has no default value when used as a request parameter. If not provided, all categories of allowlists are queried.
    allowListDesc string
    Description of the allowlist. Up to 200 characters. Default value is an empty string.
    allowListName string
    Allowlist naming rules: The allowlist name must be unique within the current region. It must start with a Chinese character, letter, or underscore (). It can only contain Chinese characters, letters, numbers, underscores (), and hyphens (-). Length must be 1–128 characters.
    allowListType string
    Network protocol type used by the allowlist. Value: IPv4 (default).
    allowLists string[]
    IP addresses included in the allowlist. Supports the following two formats: IP address format, for example: 10.23.12.24. CIDR IP address range format, for example: 10.23.12.0/24 (Classless Inter-Domain Routing, 24 indicates the prefix length, range is 1–32). Note: Each allowlist can add up to 300 IP addresses or IP ranges. If there are many IPs, it is recommended to merge them into IP ranges, such as 10.23.12.0/24. Do not add IP addresses ending with x.x.x.x/0 except for 0.0.0.0/0 to the allowlist. This field cannot be used together with the UserAllowList field.
    associatedInstanceNum number
    Number of instances bound to this allowlist.
    ipAddress string
    Query allowlist by IP address. Supports multiple IP addresses separated by commas (,). Note: If the allowlist contains any subset of the provided IP addresses, that allowlist will be returned.
    modifyMode string
    Allowlist modification mode. Values: Cover (default): overwrite, use the value of the AllowList field to overwrite the original allowlist. Append: add, add the IP addresses in the AllowList field to the original allowlist. Delete: remove, remove the IP addresses in the AllowList field from the original allowlist. At least one IP address must remain. Note: If the allowlist to be modified is bound to a security group, or if you need to bind a security group when modifying the allowlist, ModifyMode can only be set to Cover.
    securityGroupBindInfos AllowListSecurityGroupBindInfo[]
    updateSecurityGroup boolean
    Whether to update the security group bound to the allowlist. Values: true: update; false: do not update. Default value.
    userAllowList string
    IP addresses outside the security group that need to be added to the allowlist. You can enter IP addresses or CIDR IP ranges. Note: This field cannot be used together with the AllowList field.
    allow_list_category str
    Allowlist category. Values: Ordinary: ordinary allowlist; Default: default allowlist. Note: This parameter has no default value when used as a request parameter. If not provided, all categories of allowlists are queried.
    allow_list_desc str
    Description of the allowlist. Up to 200 characters. Default value is an empty string.
    allow_list_name str
    Allowlist naming rules: The allowlist name must be unique within the current region. It must start with a Chinese character, letter, or underscore (). It can only contain Chinese characters, letters, numbers, underscores (), and hyphens (-). Length must be 1–128 characters.
    allow_list_type str
    Network protocol type used by the allowlist. Value: IPv4 (default).
    allow_lists Sequence[str]
    IP addresses included in the allowlist. Supports the following two formats: IP address format, for example: 10.23.12.24. CIDR IP address range format, for example: 10.23.12.0/24 (Classless Inter-Domain Routing, 24 indicates the prefix length, range is 1–32). Note: Each allowlist can add up to 300 IP addresses or IP ranges. If there are many IPs, it is recommended to merge them into IP ranges, such as 10.23.12.0/24. Do not add IP addresses ending with x.x.x.x/0 except for 0.0.0.0/0 to the allowlist. This field cannot be used together with the UserAllowList field.
    associated_instance_num int
    Number of instances bound to this allowlist.
    ip_address str
    Query allowlist by IP address. Supports multiple IP addresses separated by commas (,). Note: If the allowlist contains any subset of the provided IP addresses, that allowlist will be returned.
    modify_mode str
    Allowlist modification mode. Values: Cover (default): overwrite, use the value of the AllowList field to overwrite the original allowlist. Append: add, add the IP addresses in the AllowList field to the original allowlist. Delete: remove, remove the IP addresses in the AllowList field from the original allowlist. At least one IP address must remain. Note: If the allowlist to be modified is bound to a security group, or if you need to bind a security group when modifying the allowlist, ModifyMode can only be set to Cover.
    security_group_bind_infos Sequence[AllowListSecurityGroupBindInfoArgs]
    update_security_group bool
    Whether to update the security group bound to the allowlist. Values: true: update; false: do not update. Default value.
    user_allow_list str
    IP addresses outside the security group that need to be added to the allowlist. You can enter IP addresses or CIDR IP ranges. Note: This field cannot be used together with the AllowList field.
    allowListCategory String
    Allowlist category. Values: Ordinary: ordinary allowlist; Default: default allowlist. Note: This parameter has no default value when used as a request parameter. If not provided, all categories of allowlists are queried.
    allowListDesc String
    Description of the allowlist. Up to 200 characters. Default value is an empty string.
    allowListName String
    Allowlist naming rules: The allowlist name must be unique within the current region. It must start with a Chinese character, letter, or underscore (). It can only contain Chinese characters, letters, numbers, underscores (), and hyphens (-). Length must be 1–128 characters.
    allowListType String
    Network protocol type used by the allowlist. Value: IPv4 (default).
    allowLists List<String>
    IP addresses included in the allowlist. Supports the following two formats: IP address format, for example: 10.23.12.24. CIDR IP address range format, for example: 10.23.12.0/24 (Classless Inter-Domain Routing, 24 indicates the prefix length, range is 1–32). Note: Each allowlist can add up to 300 IP addresses or IP ranges. If there are many IPs, it is recommended to merge them into IP ranges, such as 10.23.12.0/24. Do not add IP addresses ending with x.x.x.x/0 except for 0.0.0.0/0 to the allowlist. This field cannot be used together with the UserAllowList field.
    associatedInstanceNum Number
    Number of instances bound to this allowlist.
    ipAddress String
    Query allowlist by IP address. Supports multiple IP addresses separated by commas (,). Note: If the allowlist contains any subset of the provided IP addresses, that allowlist will be returned.
    modifyMode String
    Allowlist modification mode. Values: Cover (default): overwrite, use the value of the AllowList field to overwrite the original allowlist. Append: add, add the IP addresses in the AllowList field to the original allowlist. Delete: remove, remove the IP addresses in the AllowList field from the original allowlist. At least one IP address must remain. Note: If the allowlist to be modified is bound to a security group, or if you need to bind a security group when modifying the allowlist, ModifyMode can only be set to Cover.
    securityGroupBindInfos List<Property Map>
    updateSecurityGroup Boolean
    Whether to update the security group bound to the allowlist. Values: true: update; false: do not update. Default value.
    userAllowList String
    IP addresses outside the security group that need to be added to the allowlist. You can enter IP addresses or CIDR IP ranges. Note: This field cannot be used together with the AllowList field.

    Outputs

    All input properties are implicitly available as output properties. Additionally, the AllowList resource produces the following output properties:

    AllowListId string
    Allowlist ID.
    AllowListIpNum int
    Number of IP addresses or IP segments in the allowlist.
    AssociatedInstances List<Volcengine.AllowListAssociatedInstance>
    Id string
    The provider-assigned unique ID for this managed resource.
    AllowListId string
    Allowlist ID.
    AllowListIpNum int
    Number of IP addresses or IP segments in the allowlist.
    AssociatedInstances []AllowListAssociatedInstance
    Id string
    The provider-assigned unique ID for this managed resource.
    allowListId String
    Allowlist ID.
    allowListIpNum Integer
    Number of IP addresses or IP segments in the allowlist.
    associatedInstances List<AllowListAssociatedInstance>
    id String
    The provider-assigned unique ID for this managed resource.
    allowListId string
    Allowlist ID.
    allowListIpNum number
    Number of IP addresses or IP segments in the allowlist.
    associatedInstances AllowListAssociatedInstance[]
    id string
    The provider-assigned unique ID for this managed resource.
    allow_list_id str
    Allowlist ID.
    allow_list_ip_num int
    Number of IP addresses or IP segments in the allowlist.
    associated_instances Sequence[AllowListAssociatedInstance]
    id str
    The provider-assigned unique ID for this managed resource.
    allowListId String
    Allowlist ID.
    allowListIpNum Number
    Number of IP addresses or IP segments in the allowlist.
    associatedInstances List<Property Map>
    id String
    The provider-assigned unique ID for this managed resource.

    Look up Existing AllowList Resource

    Get an existing AllowList resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.

    public static get(name: string, id: Input<ID>, state?: AllowListState, opts?: CustomResourceOptions): AllowList
    @staticmethod
    def get(resource_name: str,
            id: str,
            opts: Optional[ResourceOptions] = None,
            allow_list_category: Optional[str] = None,
            allow_list_desc: Optional[str] = None,
            allow_list_id: Optional[str] = None,
            allow_list_ip_num: Optional[int] = None,
            allow_list_name: Optional[str] = None,
            allow_list_type: Optional[str] = None,
            allow_lists: Optional[Sequence[str]] = None,
            associated_instance_num: Optional[int] = None,
            associated_instances: Optional[Sequence[AllowListAssociatedInstanceArgs]] = None,
            ip_address: Optional[str] = None,
            modify_mode: Optional[str] = None,
            security_group_bind_infos: Optional[Sequence[AllowListSecurityGroupBindInfoArgs]] = None,
            update_security_group: Optional[bool] = None,
            user_allow_list: Optional[str] = None) -> AllowList
    func GetAllowList(ctx *Context, name string, id IDInput, state *AllowListState, opts ...ResourceOption) (*AllowList, error)
    public static AllowList Get(string name, Input<string> id, AllowListState? state, CustomResourceOptions? opts = null)
    public static AllowList get(String name, Output<String> id, AllowListState state, CustomResourceOptions options)
    resources:  _:    type: volcenginecc:rdspostgresql:AllowList    get:      id: ${id}
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    resource_name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    The following state arguments are supported:
    AllowListCategory string
    Allowlist category. Values: Ordinary: ordinary allowlist; Default: default allowlist. Note: This parameter has no default value when used as a request parameter. If not provided, all categories of allowlists are queried.
    AllowListDesc string
    Description of the allowlist. Up to 200 characters. Default value is an empty string.
    AllowListId string
    Allowlist ID.
    AllowListIpNum int
    Number of IP addresses or IP segments in the allowlist.
    AllowListName string
    Allowlist naming rules: The allowlist name must be unique within the current region. It must start with a Chinese character, letter, or underscore (). It can only contain Chinese characters, letters, numbers, underscores (), and hyphens (-). Length must be 1–128 characters.
    AllowListType string
    Network protocol type used by the allowlist. Value: IPv4 (default).
    AllowListValue List<string>
    IP addresses included in the allowlist. Supports the following two formats: IP address format, for example: 10.23.12.24. CIDR IP address range format, for example: 10.23.12.0/24 (Classless Inter-Domain Routing, 24 indicates the prefix length, range is 1–32). Note: Each allowlist can add up to 300 IP addresses or IP ranges. If there are many IPs, it is recommended to merge them into IP ranges, such as 10.23.12.0/24. Do not add IP addresses ending with x.x.x.x/0 except for 0.0.0.0/0 to the allowlist. This field cannot be used together with the UserAllowList field.
    AssociatedInstanceNum int
    Number of instances bound to this allowlist.
    AssociatedInstances List<Volcengine.AllowListAssociatedInstance>
    IpAddress string
    Query allowlist by IP address. Supports multiple IP addresses separated by commas (,). Note: If the allowlist contains any subset of the provided IP addresses, that allowlist will be returned.
    ModifyMode string
    Allowlist modification mode. Values: Cover (default): overwrite, use the value of the AllowList field to overwrite the original allowlist. Append: add, add the IP addresses in the AllowList field to the original allowlist. Delete: remove, remove the IP addresses in the AllowList field from the original allowlist. At least one IP address must remain. Note: If the allowlist to be modified is bound to a security group, or if you need to bind a security group when modifying the allowlist, ModifyMode can only be set to Cover.
    SecurityGroupBindInfos List<Volcengine.AllowListSecurityGroupBindInfo>
    UpdateSecurityGroup bool
    Whether to update the security group bound to the allowlist. Values: true: update; false: do not update. Default value.
    UserAllowList string
    IP addresses outside the security group that need to be added to the allowlist. You can enter IP addresses or CIDR IP ranges. Note: This field cannot be used together with the AllowList field.
    AllowListCategory string
    Allowlist category. Values: Ordinary: ordinary allowlist; Default: default allowlist. Note: This parameter has no default value when used as a request parameter. If not provided, all categories of allowlists are queried.
    AllowListDesc string
    Description of the allowlist. Up to 200 characters. Default value is an empty string.
    AllowListId string
    Allowlist ID.
    AllowListIpNum int
    Number of IP addresses or IP segments in the allowlist.
    AllowListName string
    Allowlist naming rules: The allowlist name must be unique within the current region. It must start with a Chinese character, letter, or underscore (). It can only contain Chinese characters, letters, numbers, underscores (), and hyphens (-). Length must be 1–128 characters.
    AllowListType string
    Network protocol type used by the allowlist. Value: IPv4 (default).
    AllowLists []string
    IP addresses included in the allowlist. Supports the following two formats: IP address format, for example: 10.23.12.24. CIDR IP address range format, for example: 10.23.12.0/24 (Classless Inter-Domain Routing, 24 indicates the prefix length, range is 1–32). Note: Each allowlist can add up to 300 IP addresses or IP ranges. If there are many IPs, it is recommended to merge them into IP ranges, such as 10.23.12.0/24. Do not add IP addresses ending with x.x.x.x/0 except for 0.0.0.0/0 to the allowlist. This field cannot be used together with the UserAllowList field.
    AssociatedInstanceNum int
    Number of instances bound to this allowlist.
    AssociatedInstances []AllowListAssociatedInstanceArgs
    IpAddress string
    Query allowlist by IP address. Supports multiple IP addresses separated by commas (,). Note: If the allowlist contains any subset of the provided IP addresses, that allowlist will be returned.
    ModifyMode string
    Allowlist modification mode. Values: Cover (default): overwrite, use the value of the AllowList field to overwrite the original allowlist. Append: add, add the IP addresses in the AllowList field to the original allowlist. Delete: remove, remove the IP addresses in the AllowList field from the original allowlist. At least one IP address must remain. Note: If the allowlist to be modified is bound to a security group, or if you need to bind a security group when modifying the allowlist, ModifyMode can only be set to Cover.
    SecurityGroupBindInfos []AllowListSecurityGroupBindInfoArgs
    UpdateSecurityGroup bool
    Whether to update the security group bound to the allowlist. Values: true: update; false: do not update. Default value.
    UserAllowList string
    IP addresses outside the security group that need to be added to the allowlist. You can enter IP addresses or CIDR IP ranges. Note: This field cannot be used together with the AllowList field.
    allowListCategory String
    Allowlist category. Values: Ordinary: ordinary allowlist; Default: default allowlist. Note: This parameter has no default value when used as a request parameter. If not provided, all categories of allowlists are queried.
    allowListDesc String
    Description of the allowlist. Up to 200 characters. Default value is an empty string.
    allowListId String
    Allowlist ID.
    allowListIpNum Integer
    Number of IP addresses or IP segments in the allowlist.
    allowListName String
    Allowlist naming rules: The allowlist name must be unique within the current region. It must start with a Chinese character, letter, or underscore (). It can only contain Chinese characters, letters, numbers, underscores (), and hyphens (-). Length must be 1–128 characters.
    allowListType String
    Network protocol type used by the allowlist. Value: IPv4 (default).
    allowLists List<String>
    IP addresses included in the allowlist. Supports the following two formats: IP address format, for example: 10.23.12.24. CIDR IP address range format, for example: 10.23.12.0/24 (Classless Inter-Domain Routing, 24 indicates the prefix length, range is 1–32). Note: Each allowlist can add up to 300 IP addresses or IP ranges. If there are many IPs, it is recommended to merge them into IP ranges, such as 10.23.12.0/24. Do not add IP addresses ending with x.x.x.x/0 except for 0.0.0.0/0 to the allowlist. This field cannot be used together with the UserAllowList field.
    associatedInstanceNum Integer
    Number of instances bound to this allowlist.
    associatedInstances List<AllowListAssociatedInstance>
    ipAddress String
    Query allowlist by IP address. Supports multiple IP addresses separated by commas (,). Note: If the allowlist contains any subset of the provided IP addresses, that allowlist will be returned.
    modifyMode String
    Allowlist modification mode. Values: Cover (default): overwrite, use the value of the AllowList field to overwrite the original allowlist. Append: add, add the IP addresses in the AllowList field to the original allowlist. Delete: remove, remove the IP addresses in the AllowList field from the original allowlist. At least one IP address must remain. Note: If the allowlist to be modified is bound to a security group, or if you need to bind a security group when modifying the allowlist, ModifyMode can only be set to Cover.
    securityGroupBindInfos List<AllowListSecurityGroupBindInfo>
    updateSecurityGroup Boolean
    Whether to update the security group bound to the allowlist. Values: true: update; false: do not update. Default value.
    userAllowList String
    IP addresses outside the security group that need to be added to the allowlist. You can enter IP addresses or CIDR IP ranges. Note: This field cannot be used together with the AllowList field.
    allowListCategory string
    Allowlist category. Values: Ordinary: ordinary allowlist; Default: default allowlist. Note: This parameter has no default value when used as a request parameter. If not provided, all categories of allowlists are queried.
    allowListDesc string
    Description of the allowlist. Up to 200 characters. Default value is an empty string.
    allowListId string
    Allowlist ID.
    allowListIpNum number
    Number of IP addresses or IP segments in the allowlist.
    allowListName string
    Allowlist naming rules: The allowlist name must be unique within the current region. It must start with a Chinese character, letter, or underscore (). It can only contain Chinese characters, letters, numbers, underscores (), and hyphens (-). Length must be 1–128 characters.
    allowListType string
    Network protocol type used by the allowlist. Value: IPv4 (default).
    allowLists string[]
    IP addresses included in the allowlist. Supports the following two formats: IP address format, for example: 10.23.12.24. CIDR IP address range format, for example: 10.23.12.0/24 (Classless Inter-Domain Routing, 24 indicates the prefix length, range is 1–32). Note: Each allowlist can add up to 300 IP addresses or IP ranges. If there are many IPs, it is recommended to merge them into IP ranges, such as 10.23.12.0/24. Do not add IP addresses ending with x.x.x.x/0 except for 0.0.0.0/0 to the allowlist. This field cannot be used together with the UserAllowList field.
    associatedInstanceNum number
    Number of instances bound to this allowlist.
    associatedInstances AllowListAssociatedInstance[]
    ipAddress string
    Query allowlist by IP address. Supports multiple IP addresses separated by commas (,). Note: If the allowlist contains any subset of the provided IP addresses, that allowlist will be returned.
    modifyMode string
    Allowlist modification mode. Values: Cover (default): overwrite, use the value of the AllowList field to overwrite the original allowlist. Append: add, add the IP addresses in the AllowList field to the original allowlist. Delete: remove, remove the IP addresses in the AllowList field from the original allowlist. At least one IP address must remain. Note: If the allowlist to be modified is bound to a security group, or if you need to bind a security group when modifying the allowlist, ModifyMode can only be set to Cover.
    securityGroupBindInfos AllowListSecurityGroupBindInfo[]
    updateSecurityGroup boolean
    Whether to update the security group bound to the allowlist. Values: true: update; false: do not update. Default value.
    userAllowList string
    IP addresses outside the security group that need to be added to the allowlist. You can enter IP addresses or CIDR IP ranges. Note: This field cannot be used together with the AllowList field.
    allow_list_category str
    Allowlist category. Values: Ordinary: ordinary allowlist; Default: default allowlist. Note: This parameter has no default value when used as a request parameter. If not provided, all categories of allowlists are queried.
    allow_list_desc str
    Description of the allowlist. Up to 200 characters. Default value is an empty string.
    allow_list_id str
    Allowlist ID.
    allow_list_ip_num int
    Number of IP addresses or IP segments in the allowlist.
    allow_list_name str
    Allowlist naming rules: The allowlist name must be unique within the current region. It must start with a Chinese character, letter, or underscore (). It can only contain Chinese characters, letters, numbers, underscores (), and hyphens (-). Length must be 1–128 characters.
    allow_list_type str
    Network protocol type used by the allowlist. Value: IPv4 (default).
    allow_lists Sequence[str]
    IP addresses included in the allowlist. Supports the following two formats: IP address format, for example: 10.23.12.24. CIDR IP address range format, for example: 10.23.12.0/24 (Classless Inter-Domain Routing, 24 indicates the prefix length, range is 1–32). Note: Each allowlist can add up to 300 IP addresses or IP ranges. If there are many IPs, it is recommended to merge them into IP ranges, such as 10.23.12.0/24. Do not add IP addresses ending with x.x.x.x/0 except for 0.0.0.0/0 to the allowlist. This field cannot be used together with the UserAllowList field.
    associated_instance_num int
    Number of instances bound to this allowlist.
    associated_instances Sequence[AllowListAssociatedInstanceArgs]
    ip_address str
    Query allowlist by IP address. Supports multiple IP addresses separated by commas (,). Note: If the allowlist contains any subset of the provided IP addresses, that allowlist will be returned.
    modify_mode str
    Allowlist modification mode. Values: Cover (default): overwrite, use the value of the AllowList field to overwrite the original allowlist. Append: add, add the IP addresses in the AllowList field to the original allowlist. Delete: remove, remove the IP addresses in the AllowList field from the original allowlist. At least one IP address must remain. Note: If the allowlist to be modified is bound to a security group, or if you need to bind a security group when modifying the allowlist, ModifyMode can only be set to Cover.
    security_group_bind_infos Sequence[AllowListSecurityGroupBindInfoArgs]
    update_security_group bool
    Whether to update the security group bound to the allowlist. Values: true: update; false: do not update. Default value.
    user_allow_list str
    IP addresses outside the security group that need to be added to the allowlist. You can enter IP addresses or CIDR IP ranges. Note: This field cannot be used together with the AllowList field.
    allowListCategory String
    Allowlist category. Values: Ordinary: ordinary allowlist; Default: default allowlist. Note: This parameter has no default value when used as a request parameter. If not provided, all categories of allowlists are queried.
    allowListDesc String
    Description of the allowlist. Up to 200 characters. Default value is an empty string.
    allowListId String
    Allowlist ID.
    allowListIpNum Number
    Number of IP addresses or IP segments in the allowlist.
    allowListName String
    Allowlist naming rules: The allowlist name must be unique within the current region. It must start with a Chinese character, letter, or underscore (). It can only contain Chinese characters, letters, numbers, underscores (), and hyphens (-). Length must be 1–128 characters.
    allowListType String
    Network protocol type used by the allowlist. Value: IPv4 (default).
    allowLists List<String>
    IP addresses included in the allowlist. Supports the following two formats: IP address format, for example: 10.23.12.24. CIDR IP address range format, for example: 10.23.12.0/24 (Classless Inter-Domain Routing, 24 indicates the prefix length, range is 1–32). Note: Each allowlist can add up to 300 IP addresses or IP ranges. If there are many IPs, it is recommended to merge them into IP ranges, such as 10.23.12.0/24. Do not add IP addresses ending with x.x.x.x/0 except for 0.0.0.0/0 to the allowlist. This field cannot be used together with the UserAllowList field.
    associatedInstanceNum Number
    Number of instances bound to this allowlist.
    associatedInstances List<Property Map>
    ipAddress String
    Query allowlist by IP address. Supports multiple IP addresses separated by commas (,). Note: If the allowlist contains any subset of the provided IP addresses, that allowlist will be returned.
    modifyMode String
    Allowlist modification mode. Values: Cover (default): overwrite, use the value of the AllowList field to overwrite the original allowlist. Append: add, add the IP addresses in the AllowList field to the original allowlist. Delete: remove, remove the IP addresses in the AllowList field from the original allowlist. At least one IP address must remain. Note: If the allowlist to be modified is bound to a security group, or if you need to bind a security group when modifying the allowlist, ModifyMode can only be set to Cover.
    securityGroupBindInfos List<Property Map>
    updateSecurityGroup Boolean
    Whether to update the security group bound to the allowlist. Values: true: update; false: do not update. Default value.
    userAllowList String
    IP addresses outside the security group that need to be added to the allowlist. You can enter IP addresses or CIDR IP ranges. Note: This field cannot be used together with the AllowList field.

    Supporting Types

    AllowListAssociatedInstance, AllowListAssociatedInstanceArgs

    InstanceId string
    Instance ID.
    InstanceName string
    Instance name.
    Vpc string
    VPC ID to which the instance belongs.
    InstanceId string
    Instance ID.
    InstanceName string
    Instance name.
    Vpc string
    VPC ID to which the instance belongs.
    instanceId String
    Instance ID.
    instanceName String
    Instance name.
    vpc String
    VPC ID to which the instance belongs.
    instanceId string
    Instance ID.
    instanceName string
    Instance name.
    vpc string
    VPC ID to which the instance belongs.
    instance_id str
    Instance ID.
    instance_name str
    Instance name.
    vpc str
    VPC ID to which the instance belongs.
    instanceId String
    Instance ID.
    instanceName String
    Instance name.
    vpc String
    VPC ID to which the instance belongs.

    AllowListSecurityGroupBindInfo, AllowListSecurityGroupBindInfoArgs

    BindMode string
    Mode for associating security groups. Values: IngressDirectionIp: inbound IP. AssociateEcsIp: associate ECS IP.
    IpLists List<string>
    IP address list in the security group.
    SecurityGroupId string
    Security group ID.
    SecurityGroupName string
    Security group name.
    BindMode string
    Mode for associating security groups. Values: IngressDirectionIp: inbound IP. AssociateEcsIp: associate ECS IP.
    IpLists []string
    IP address list in the security group.
    SecurityGroupId string
    Security group ID.
    SecurityGroupName string
    Security group name.
    bindMode String
    Mode for associating security groups. Values: IngressDirectionIp: inbound IP. AssociateEcsIp: associate ECS IP.
    ipLists List<String>
    IP address list in the security group.
    securityGroupId String
    Security group ID.
    securityGroupName String
    Security group name.
    bindMode string
    Mode for associating security groups. Values: IngressDirectionIp: inbound IP. AssociateEcsIp: associate ECS IP.
    ipLists string[]
    IP address list in the security group.
    securityGroupId string
    Security group ID.
    securityGroupName string
    Security group name.
    bind_mode str
    Mode for associating security groups. Values: IngressDirectionIp: inbound IP. AssociateEcsIp: associate ECS IP.
    ip_lists Sequence[str]
    IP address list in the security group.
    security_group_id str
    Security group ID.
    security_group_name str
    Security group name.
    bindMode String
    Mode for associating security groups. Values: IngressDirectionIp: inbound IP. AssociateEcsIp: associate ECS IP.
    ipLists List<String>
    IP address list in the security group.
    securityGroupId String
    Security group ID.
    securityGroupName String
    Security group name.

    Import

    $ pulumi import volcenginecc:rdspostgresql/allowList:AllowList example "allow_list_id"
    

    To learn more about importing existing cloud resources, see Importing resources.

    Package Details

    Repository
    volcenginecc volcengine/pulumi-volcenginecc
    License
    MPL-2.0
    Notes
    This Pulumi package is based on the volcenginecc Terraform Provider.
    volcenginecc logo
    Viewing docs for volcenginecc v0.0.32
    published on Thursday, Apr 23, 2026 by Volcengine
      Try Pulumi Cloud free. Your team will thank you.